Page MenuHomePhabricator

Enable RevisionSlider on hewiki
Closed, ResolvedPublic

Description

Hello.

Per community consensus, please enable the Revision Slider as a non-default beta option for the Hebrew Wikipedia (hewiki).

It is to be noted that the proposal for the change was posted yesterday. However, it seems like there will be no objections. If you think it's better to wait a few days before deploying the change, then it's fine.

Event Timeline

Guycn2 created this task.Jul 16 2016, 10:28 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 16 2016, 10:28 PM
Restricted Application added subscribers: Zppix, JEumerus, Matanya, Aklapper. · View Herald Transcript
Kharkiv07 triaged this task as Normal priority.Jul 17 2016, 8:07 PM
Kharkiv07 moved this task from Incoming to Revision Slider on the TCB-Team board.
Kharkiv07 added a subscriber: Kharkiv07.

Change 298933 had a related patch set uploaded (by Addshore):
RevisionSlider enables: dewiki, hrwiki, arwiki

https://gerrit.wikimedia.org/r/298933

Addshore moved this task from Incoming to Doing on the Revision-Slider board.Jul 18 2016, 10:13 AM
Addshore moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Thank you so much! :)

Hi @Guycn2, could you maybe help us with double checking if all Hebrew messages are translated? To us it looks like there might be one that is not (fully) translated but we're not sure: https://translatewiki.net/wiki/Special:Translate/ext-revisionslider?language=he&filter=%21translated&action=translate

That would be super nice :)

Guycn2 added a comment.EditedJul 18 2016, 1:23 PM

Hi @Guycn2, could you maybe help us with double checking if all Hebrew messages are translated? To us it looks like there might be one that is not (fully) translated but we're not sure: https://translatewiki.net/wiki/Special:Translate/ext-revisionslider?language=he&filter=%21translated&action=translate
That would be super nice :)

Hi @Bmueller. They're all fully translated, I've checked them a few times :)

Regarding the message marked as "outdated": This is because I have removed an unnecessary sentence from this message. I have asked to remove this unneeded sentence from the English version as well, see task 140526.

@Guycn2 - okay, cool! Thank you very much :-)

Hi again @Bmueller. Is the deployment planned for today (July 21)? Or tomorrow?

Bmueller added a comment.EditedJul 21 2016, 9:32 AM

Hi @Guycn2, the deployment is planned around 23:00 - 00:00 (UTC) today, so that would be approx 2-3 am Tel Aviv time on Friday, 22nd.

Change 298933 merged by jenkins-bot:
RevisionSlider enables: dewiki, hewiki, arwiki

https://gerrit.wikimedia.org/r/298933

Addshore closed this task as Resolved.Jul 21 2016, 11:10 PM
Addshore claimed this task.

Now deployed!

Guycn2 added a comment.EditedJul 22 2016, 1:15 AM

@Addshore, Thank you! It works perfectly, except for one bug (T141071).

Addshore moved this task from Doing to Done on the Revision-Slider board.Aug 3 2016, 5:13 PM